composer PHPUnit用設定メモ

PHPUnit関係はcomposer指定。

    "require-dev": {
        "phpunit/phpunit": "*",
        "phpunit/phpunit-selenium": "*",
        "phpunit/phpunit-story": "*",
        "phpunit/phpunit-skeleton-generator": "*",
        "phpunit/dbunit": "*",
        "phpunit/php-invoker": "*",
        "phpunit/phpunit-mock-objects": "*",
        "facebook/webdriver": "*",
        "phpmd/phpmd" : "*"
    }

結局コレで諦めている。

"phpunit/phpunit-skeleton-generator": "*",
"phpunit/phpunit-story": "*",

を指定すると

Package phpunit/phpunit-skeleton-generator is abandoned, you should avoid using it. No replacement was suggested.
Package phpunit/phpunit-story is abandoned, you should avoid using it. Use behat/behat instead.

というメッセージが出るが、作成はされていて、指定・使用が出来る。

NetBeansにPHPUnit skeletonを指定を求められているのに、『放棄されているから、使用しないで』なのに『交換は提案されてない』なんだぜ…
phpunit-storyはbehat/behatという代わりがあるんだけど、phpunit配下じゃなくなって…

『Package XXX is abandoned』て、そのまま使っていいものなのか

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です